//#line "menu_lib.c" 36
extern void DrawBorder(int32 y);
//#line "menu_lib.c" 50
extern void DrawHelpString(char *helpstring);
//#line "menu_lib.c" 75
extern int32 GetTranslateFunctionWidth(void *func);
//#line "menu_lib.c" 102
extern void GetEntryDimensions(void *ptr,int32 *width,int32 *height);
//#line "menu_lib.c" 211
extern void GetSectionDimensions(MenuSectionType *section,int32 *width,int32 *height);
//#line "menu_lib.c" 253
extern void GetMenuDimensions(MenuType *menu,int32 *width,int32 *height);
//#line "menu_lib.c" 303
extern int32 GetWidestEntryWidthInSection(MenuSectionType *section);
//#line "menu_lib.c" 333
extern int32 GetWidestEntryWidth(MenuType *menu);
//#line "menu_lib.c" 360
extern int32 DrawMenuEntry(int16 handle,int32 xoffset,int32 yoffset,void *ptr,boolean current);
//#line "menu_lib.c" 698
extern int32 DrawMenuSection(int16 handle,int32 xoffset,int32 yoffset,MenuSectionType *section,boolean current);
//#line "menu_lib.c" 742
extern void DrawMenu(MenuType *menu);
//#line "menu_lib.c" 839
extern void SetWindowTextColors(void );
//#line "menu_lib.c" 852
extern void GetWindowColors(int32 *foreground,int32 *background);
//#line "menu_lib.c" 872
extern void DisplayMenu(MenuType *menu);
//#line "menu_lib.c" 897
extern void UnDisplayMenu(MenuType *menu);
//#line "menu_lib.c" 910
extern void ChooseEntry(MenuType *menu);
//#line "menu_lib.c" 1046
extern void DeleteEntry(MenuType *menu);
//#line "menu_lib.c" 1072
extern void EditEntry(MenuType *menu);
//#line "menu_lib.c" 1127
extern void GetCurrentSectionEntry(MenuSectionType *section);
//#line "menu_lib.c" 1158
extern boolean SectionActive(MenuSectionType *section);
//#line "menu_lib.c" 1180
extern void GetCurrentMenuSection(MenuType *menu);
//#line "menu_lib.c" 1210
extern boolean TryPreviousEntry(MenuSectionType *section);
//#line "menu_lib.c" 1241
extern boolean TryPreviousSection(MenuType *menu);
//#line "menu_lib.c" 1270
extern void SetCurrentEntryToLast(MenuSectionType *section);
//#line "menu_lib.c" 1287
extern void PreviousEntry(MenuType *menu);
//#line "menu_lib.c" 1324
extern boolean TryNextEntry(MenuSectionType *section);
//#line "menu_lib.c" 1353
extern boolean TryNextSection(MenuType *menu);
//#line "menu_lib.c" 1382
extern void SetCurrentEntryToFirst(MenuSectionType *section);
//#line "menu_lib.c" 1399
extern void NextEntry(MenuType *menu);
//#line "menu_lib.c" 1436
extern boolean HandleMenu(MenuType *menu);
//#line "menu_lib.c" 1511
extern void ErrorWindow(char *errormsg);
//#line "menu_lib.c" 1584
extern int32 MessageWindow(char *message);
